<%@ page language="java"%> 

<%@ page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,java.text.*,m05bClasses.*" %>
<%	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
<%	} 
	String persona = (String) session.getAttribute("persona");
%>
<%@ include file="/m05bIdioma.inc"%>
<HTML>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<HEAD>
<title><%= resTit.getString("titLstAsigNoDevueltas")%></title>
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<SCRIPT language=JavaScript>
		function fncRetornar() {
				 document.formSolicitud.action="/m05bParqueMovilWar/m05bAsigNoDevueltasJsp.jsp" ;
				 document.formSolicitud.submit();
		}
</SCRIPT>

</HEAD>	

<!-- Hojas de Estilo -->
<%	String sAsignacionNoDevuelta = m05bFicheroProperties.getInstance().getParameter("PDF.AsignacionNoDevuelta"); %>

<BODY   style="cursor: wait" onload="document.body.style.cursor='default';document.all['general'].style.visibility='visible';document.all['general'].style.cursor='default';" onunload="document.body.style.cursor='wait';document.all['general'].style.cursor='wait';">
<div  id="general" style="POSITION: absolute;visibility:hidden;cursor: wait">	
<form NAME="formSolicitud" METHOD="POST">

<%
	
m05bComun miComun=new m05bComun();
	m05bFileLog miLog = new m05bFileLog();
	String sSituacion = request.getParameter("SituacionTexto");
	String sFecHasta = request.getParameter("FecHasta");

    String sGRango = request.getParameter("GRango");
	String sRango = request.getParameter("CodRango");
	String sPermanente= request.getParameter("Permanente");
	String srcPDF = sAsignacionNoDevuelta + "?Situacion="+sSituacion+"&FecHasta="+sFecHasta+"&GRango="+sGRango
	+"&Rango="+sRango+"&Permanente="+sPermanente;
	
	java.sql.Connection conn=null;
	PreparedStatement pstmt = null;
	ResultSet rs = null;
      try
      {  //HttpSession session = request.getSession(true);
			m05bConexion miConex = new m05bConexion();
			conn = miConex.getConnection();
   String sSentencia=" SELECT  1 "+
" FROM  " +
m05bConstantes.TAB_ASIGNACION+","+ 
m05bConstantes.TAB_CARGOS+","+ 
m05bConstantes.TAB_PERSONAL+","+ 
m05bConstantes.TAB_MODELOS+","+		
m05bConstantes.TAB_DESCRIPCIONES+"  M,"+
m05bConstantes.TAB_VEHICULOS+
" WHERE "+	
m05bConstantes.COL_01_MATRICULA+"="+m05bConstantes.COL_34_MATRICULA +" AND " +
m05bConstantes.COL_34_MODELO+"="+m05bConstantes.COL_17_CODMOD +" AND M." +
m05bConstantes.COL_99_CODTABLA+"="+m05bConstantes.DESC_MARCAS + " AND "+ 		
m05bConstantes.COL_34_MARCA+"= M."+m05bConstantes.COL_99_CODDESC +" AND " +	
m05bConstantes.COL_01_DNI+"="+m05bConstantes.COL_21_DNI+" AND " +		
m05bConstantes.COL_01_CODCARGO+"="+m05bConstantes.COL_04_CODCARGO+" AND " +		
m05bConstantes.COL_01_FINALIZA+"='N'";
if (!(sSituacion.equals(""))){
        sSituacion=miComun.ListaCaracteres(sSituacion);
	
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_34_SITUACION+ " in ("+sSituacion+")";}
if (!(sFecHasta.equals(""))){
    	sSentencia= sSentencia + " AND TO_CHAR(" + m05bConstantes.COL_01_FHASTA+ ",'"+formatoFecha+"') <= '"+sFecHasta+"'" ;}
if (sPermanente.equals("1")){
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_01_ASIG+ " = 'S'" ;}  
else if (sPermanente.equals("2")){
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_01_ASIG+ " = 'N'" ;}      	
if (!(sRango.equals(""))){
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_34_RANGO+ " = '"+sRango+"'" ;}
else if (!(sGRango.equals(""))){
    	String sSentenciaGrupo=" SELECT "+ m05bConstantes.COL_36_RANGOS+
    	                " FROM " + m05bConstantes.TAB_GRUPOS + 
    	                " WHERE " + m05bConstantes.COL_36_CODIGO + " = '" +sGRango+"'";
    	pstmt = conn.prepareStatement(sSentenciaGrupo);
		rs = pstmt.executeQuery();
        if (rs.next()){
		    sGRango=rs.getString(1)==null ? "":rs.getString(1);	
            sGRango=miComun.ListaCaracteres(sGRango);
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_34_RANGO+ " in ( "+sGRango + ")";
    	   miLog.addTraza("BEGO" , "m05bVehiculosPorRango" , "sSentencia: " + sSentencia, m05bConstantes.LOG_NIVEL_BAJO);    	
            }
}    	
miLog.addTraza("BEGO" , "m05bVehiculosPorRango" , "sSentencia: " + sSentencia, m05bConstantes.LOG_NIVEL_BAJO);    	
        pstmt = conn.prepareStatement(sSentencia);
        rs = pstmt.executeQuery();
%>
	
<TABLE class="general">
  <tr>
       <td width="90%" align="right">
       		<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar();" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
       </td>    
  </tr>
  <tr>
    <td colspan="2">
    <% if (rs.next() == true){ %>
      
		<embed name='pdfAsignacionNoDevuelta' src='<%=srcPDF%>' type="application/pdf" width='736' height='500'></embed>
    <%} else {%>
		<embed name='pdfAsignacionNoDevuelta' src='/parquemovil/SinDatos.pdf' type="application/pdf" width='736' height='500'></embed>
    <%}%>
	<%	} catch (Exception SQLException) {
			miLog.addTraza(SQLException);
		} 	finally{
				if (rs != null)
					rs.close();			
				if (pstmt != null)
					pstmt.close();
				if (conn != null)
					conn.close();}%>
  	</td>
  </tr>
</TABLE>
</form>
<script type="text/javascript" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bMsControl.js"></script>
 
</div>		
</body>
</html>
